Bug 193499 - Review Request: XPad - A sticky notes application
Review Request: XPad - A sticky notes application
Status: CLOSED DUPLICATE of bug 455069
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-29 18:15 EDT by Peter Gordon
Modified: 2008-07-11 16:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-06 22:21:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-05-29 18:15:53 EDT
Spec URL: http://www.thecodergeek.com/downloads/fedora/xpad.spec
SRPM URL: http://www.thecodergeek.com/downloads/fedora/xpad-2.11-1.src.rpm
Description: XPad is a utility for creating and managing sticky notes on your desktop. It is lightweight, fault-tolerant, and very customizable. It is made using GTK+ and is compliant with various FreeDesktop.org standards.
Comment 1 Parag AN(पराग) 2006-06-01 02:01:24 EDT
Remove warnings 
xpad-pad.c: In function 'xpad_pad_notify_has_decorations':
xpad-pad.c:411: warning: unused variable 'shown'
xpad-pad.c: In function 'xpad_pad_show_toolbar':
xpad-pad.c:455: warning: unused variable 'iter'
xpad-pad.c:454: warning: unused variable 'y'
xpad-pad.c:454: warning: unused variable 'x'
xpad-pad.c:454: warning: unused variable 'texty'
xpad-pad.c:454: warning: unused variable 'textx'
xpad-pad.c:453: warning: unused variable 'rec'
xpad-pad.c: In function 'xpad_pad_hide_toolbar':
xpad-pad.c:490: warning: unused variable 'iter'
xpad-pad.c:489: warning: unused variable 'y'
xpad-pad.c:489: warning: unused variable 'x'
xpad-pad.c:489: warning: unused variable 'texty'
xpad-pad.c:489: warning: unused variable 'textx'
xpad-pad.c:488: warning: unused variable 'rec'

Comment 2 Ralf Corsepius 2006-06-01 03:34:15 EDT
(In reply to comment #1)
> Remove warnings 
> xpad-pad.c: In function 'xpad_pad_notify_has_decorations':
> xpad-pad.c:411: warning: unused variable 'shown'
Please note: Though some people might consider "unused variables" warnings to be
ugly, they are fairly harmless and mostly safe to ignore.
Comment 3 Peter Gordon 2006-06-01 21:33:36 EDT
Thanks. I've added a patch (also sent upstream) to remove those unused variable
declarations in 2.11-2.

Spec: http://www.thecodergeek.com/downloads/fedora/xpad.spec
SRPM: http://www.thecodergeek.com/downloads/fedora/xpad-2.11-2.src.rpm
Comment 4 Parag AN(पराग) 2006-06-19 06:14:31 EDT
Review for this package:-
      Mock Build Results for i386 
      - Failed to built for i386 as package required libSM-devel
      - Add libSM-devel in Requires in SPEC file
MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package xpad, in the format
xpad.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: The License field in the package xpad.spec file matches the
actual license file COPYING in tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
%{buildroot}. 
      - MUST: This package used macros.
      - MUST: Document files are included like README.

 
Comment 5 Parag AN(पराग) 2006-06-19 06:56:07 EDT
Above is Not an official review as I'm not yet sponsored
Comment 6 Peter Gordon 2006-07-06 22:21:21 EDT
I have not used XPad in a long time and have in fact found Tomboy to be
incredibly useful for these purposes. Thus, I have no further intention to
submit it to or maintain it in Extras, as I feel that maintaining a package
which I do not actively use is inappropriate from a contributing standpoint, and
would be very prone to me not being able to solve bugs or properly test things. 

I'm closing this as WONTFIX. If anyone wants to continue from my packaging,
please feel free to do so. Space and bandwidth limitations notwithstanding, the
spec file and source RPM as linked to from here will likely remain on my
webspace indefinitely.
Comment 7 Patrice Dumas 2008-07-11 16:28:38 EDT

*** This bug has been marked as a duplicate of 455069 ***

Note You need to log in before you can comment on or make changes to this bug.